SQLR-PWDENC(8)

NAME
sqlr-pwdenc - manual page for sqlr-pwdenc 1.9.2

SYNOPSIS
sqlr-pwdenc [OPTIONS]

DESCRIPTION
sqlr-pwdenc is the SQL Relay password encryption utility.

When used with the appropriate password encryption module, passwords can be stored in encrypted form in the SQL Relay configuration, rather than in plain text.

The sqlr-pwdenc utility can be used to encrypt a given plaintext password, using the specified instance and password encryption id. The encrypted output may then included in the configuration in place of the plaintext password.

OPTIONS

-config config
    Override the default configuration with the specified configuration.

-id instanceid
    Id of an instance, as defined in the configuration.

-pwdencid passwordencryptionid
    id of instance of passwordencryption module to use

-password password
    password to encrypt

EXAMPLES
Encrypt the password "pwd" using the password encryption module with id "rot16" as defined in instance "myinst" in the default configuration.

    sqlr-pwdenc -id myinst -pwdencid rot16 -password pwd

Encrypt the password "pwd" using the password encryption module with id "rot16" as defined in instance "myinst" in the config file ./myconfig.conf.

    sqlr-pwdenc -config ./myconfig.conf -id myinst -pwdencid rot16 -password pwd

Rudiments version: 1.4.0 Compiled: Aug 9 2021 22:08:15

AUTHOR
Written by David Muse.

COPYRIGHT
Copyright © 1999-2018 David Muse
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.